#include <iostream>
#include <vector>

using namespace std;

/*
 * function   : print a vector
 * param nums : the vector to be printed
 * return     : ---
 */
void Out(vector<int> &nums)
{
	for (int i = 0; i < static_cast<int>(nums.size()); i++)
		cout << nums[i] << " ";
	cout << endl;
}
